BM(4)

NAME
bm - BMAC Ethernet device driver

SYNOPSIS
To compile this driver into the kernel, place the following lines in your kernel configuration file:

device miibus
device bm

Alternatively, to load the driver as a module at boot time, place the following line in loader.conf(5):

    if_bm_load="YES"

DESCRIPTION
The bm driver provides support for the BMac ethernet hardware found mostly in G3-based Apple hardware. It is a close relative of the Sun HME controller found in contemporary Sun workstations.

HARDWARE

Chips supported by the bm driver include:

•   Apple BMAC Onboard Ethernet
•   Apple BMAC+ Onboard Ethernet

SEE ALSO
altq(4), hme(4), miibus(4), netintro(4), ifconfig(8)

HISTORY
The bm device driver appeared in FreeBSD 7.1.

AUTHORS
-nosplit The bm driver was written by Nathan Whitehorn <nwhitehorn@FreeBSD.org> based on work by Peter Grehan <grehan@FreeBSD.org>.